package com.schisandra.system.infra.basic.service;

import com.schisandra.system.infra.basic.entity.SchisandraSysOauth;

/**
 *  表服务接口
 *
 * @author landaiqing
 * @since 2024-05-25 23:08:26
 */
public interface SchisandraSysOauthService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    SchisandraSysOauth queryById(Long id);

    /**
     * 新增数据
     *
     * @param schisandraSysOauth 实例对象
     * @return 实例对象
     */
    int insert(SchisandraSysOauth schisandraSysOauth);

    /**
     * 修改数据
     *
     * @param schisandraSysOauth 实例对象
     * @return 实例对象
     */
    int update(SchisandraSysOauth schisandraSysOauth);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);


    SchisandraSysOauth getOauthConfigByType(String type);
}
